$kind: http-request
url: "{{sahara_local}}recruitment/offers/create"
method: POST
body:
  type: formdata
  content:
    - type: text
      key: application_id
      value: a3a5c72b-8b8e-4cf1-84ef-1cca86360acf
    - type: text
      key: offer_number
      value: OFFER-2025-0042
    - type: text
      key: salary
      value: "85000.00"
    - type: text
      key: currency_id
      value: 1de27037-e436-4e72-a02a-cc16f76b009e
    - type: text
      key: pay_frequency
      value: monthly
      description: "'hourly', 'weekly', 'bi-weekly', 'monthly', 'annual'"
    - type: text
      key: start_date
      value: 2025-08-01
    - type: text
      key: benefits
      value: Health insurance, Remote work allowance, Paid leave
    - type: text
      key: notes
      value: Candidate requested a relocation package.
    - type: file
      key: document_path
      src: /C:/Users/user/Downloads/image.png
    - type: text
      key: status
      value: sent
      description: "'draft','sent','accepted','rejected','withdrawn'"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 3000
